Debian Bug report logs - #605271
ITP: php-calendar -- PHP PEAR package for building Calendar data structures

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Sun, 28 Nov 2010 16:09:01 UTC

Owned by: Prach Pongpanich <prachpub@gmail.com>

Severity: wishlist

Fixed in version php-calendar/0.5.5-1

Done: Prach Pongpanich <prachpub@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-php-maint@lists.alioth.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#605271; Package wnpp. (Sun, 28 Nov 2010 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>:
New Bug report received and forwarded. Copy sent to pkg-php-maint@lists.alioth.debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 28 Nov 2010 16:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <debian@jwiltshire.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: php-calendar -- PHP PEAR package for building Calendar data structures
Date: Sun, 28 Nov 2010 16:07:23 +0000
Package: wnpp
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : php-calendar
  Version         : 0.5.5
  Upstream Author : Harry Fuecks, Lorenzo Alberton
* URL             : http://pear.php.net/package/Calendar/
* License         : PHP
  Programming Lang: PHP
  Description     : PHP PEAR package for building Calendar data structures

Calendar provides an API for building Calendar data structures. Using
the simple iterator and it's "query" API, a user interface can easily be
built on top of the calendar data structure, at the same time easily
connecting it to some kind of underlying data store, where "event" information
is being held.

It provides different calculation "engines" the default being based on
Unix timestamps (offering fastest performance) with an alternative using
PEAR::Date which extends the calendar past the limitations of Unix timestamps.
Other engines should be implementable for other types of calendar (e.g. a
Chinese Calendar based on lunar cycles).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJM8n45AAoJEFOUR53TUkxRphYQAKUepLNIxUy8Q+eV+HpSRnsF
m3bWgsWB5OGGD6oEfdI4MEJb/rsw4EpI96xa2K64mZdN3TTxI6bfno4/HwGpXwN9
cfOVTha+JkZSamSCOPelNDiIdTBtuYXFN+0ZmFBF1p9xITuXMsPxtvXlo222HR+T
AXOut8QJ3JG7TLU+nW06qAwRoMW+Y2SZC7OMRqg43sF5qUw6zvL6hFZAmGLCkNrv
sgrkravKChoJYcxhYSHWosal7zRCIBZbJ944pxTArSZPmipYVwSDtgW+YmscBHap
5fy2RQ9nZjDnIz/gWuKGDqL1M+OX1j6ymKb55Rt9wTi4Nc5COUEp3OsMFAnbOhX1
dQgiA8kJ/EnGk/WULgg3/puDkLAQgPL9p84VeYfdaMGuSFI6Am/t29Em1ZOS4zgh
8rmnaQVKqxyHlmE9LVycAemaoVUopvn1pS9eKuHTj1yIhi6I5+aWP6e9e+NhKey+
LCfhNU24OJOdND11dP7jtmfywMBfzsHsCtbBn27Ev0bvAdX3gMVUUug1mrOyzAoC
wK7XwhuxMjc3aXue4E/2Dqz+cqexhFQn+yJSJyqFe7ugiytxFYnz0YZMgro+q6hV
EdAuaPCkWuxG/9YrvvxWUtNelKowAMOhbYi+mETBhXlQZO7LtVtMiE1IDpyjgheR
Ek8z5HRX+k7dRC2DT1ib
=NUDv
-----END PGP SIGNATURE-----




Information stored :
Bug#605271; Package wnpp. (Sun, 28 Nov 2010 16:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>:
Extra info received and filed, but not forwarded. (Sun, 28 Nov 2010 16:57:13 GMT) Full text and rfc822 format available.

Message #10 received at 605271-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <debian@jwiltshire.org.uk>
To: Harry Fuecks <hfuecks@phppatterns.com>, Lorenzo Alberton <l.alberton@quipo.it>
Cc: 605271-quiet@bugs.debian.org
Subject: License of PEAR::Calendar
Date: Sun, 28 Nov 2010 16:56:24 +0000
[Message part 1 (text/plain, inline)]
Hi,

I'd like to package the Calendar module for Debian, but the PHP license is
unacceptable to us for PEAR modules.

Since the PHP license is really a BSD license with added interpreter-specific
restrictions, please consider changing the license to just plain BSD/LGPL or
dual-licensing the module.

Thanks,


-- 
Jonathan Wiltshire

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605271; Package wnpp. (Sun, 28 Nov 2010 17:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>:
Extra info received and filed, but not forwarded. (Sun, 28 Nov 2010 17:12:08 GMT) Full text and rfc822 format available.

Message #15 received at 605271-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <debian@jwiltshire.org.uk>
To: 605271-quiet@bugs.debian.org
Subject: [l.alberton@quipo.it: Re: License of PEAR::Calendar]
Date: Sun, 28 Nov 2010 17:09:45 +0000
[Message part 1 (text/plain, inline)]
----- Forwarded message from Lorenzo Alberton <l.alberton@quipo.it> -----

Date: Sun, 28 Nov 2010 17:08:00 +0000
From: Lorenzo Alberton <l.alberton@quipo.it>
To: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Subject: Re: License of PEAR::Calendar
Message-ID: <4CF28C70.4000901@quipo.it>
User-Agent: Thunderbird 2.0.0.24 (Macintosh/20100228)

Hi Jonathan,

> I'd like to package the Calendar module for Debian, but the PHP license is
> unacceptable to us for PEAR modules.
> 
> Since the PHP license is really a BSD license with added interpreter-specific
> restrictions, please consider changing the license to just plain BSD/LGPL or
> dual-licensing the module.

the license on the site was wrong, we changed to

http://www.debian.org/misc/bsd.license  BSD License (3 Clause)

long ago, as you can see from the source code.

I fixed the web page so there's no confusion:

https://pear.php.net/package/Calendar/


Thanks,
-- 
Lorenzo Alberton
http://pear.php.net/user/quipo
http://www.alberton.info

----- End forwarded message -----

-- 
Jonathan Wiltshire

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605271; Package wnpp. (Sun, 28 Nov 2010 17:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lorenzo Alberton <l.alberton@quipo.it>:
Extra info received and filed, but not forwarded. (Sun, 28 Nov 2010 17:12:10 GMT) Full text and rfc822 format available.

Message #20 received at 605271-quiet@bugs.debian.org (full text, mbox):

From: Lorenzo Alberton <l.alberton@quipo.it>
To: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Cc: 605271-quiet@bugs.debian.org
Subject: Re: License of PEAR::Calendar
Date: Sun, 28 Nov 2010 17:10:01 +0000
Hi Jonathan,

> I'd like to package the Calendar module for Debian, but the PHP 
> license is unacceptable to us for PEAR modules.
> 
> Since the PHP license is really a BSD license with added
> interpreter-specific restrictions, please consider changing the
> license  to just plain BSD/LGPL or dual-licensing the module.


the license on the site was wrong, we changed to

http://www.debian.org/misc/bsd.license  BSD License (3 Clause)

long ago, as you can see from the source code.

I fixed the web page so there's no confusion:

https://pear.php.net/package/Calendar/


Thanks,
-- 
Lorenzo Alberton
http://pear.php.net/user/quipo
http://www.alberton.info





Changed Bug submitter to 'jona@powdarrmonkey.net (Jonathan Wiltshire)' from 'Jonathan Wiltshire <debian@jwiltshire.org.uk>' Request was from jona@powdarrmonkey.net (Jonathan Wiltshire) to control@bugs.debian.org. (Fri, 03 Dec 2010 14:51:13 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Jonathan Wiltshire <jmw@debian.org>' from 'jona@powdarrmonkey.net (Jonathan Wiltshire)' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 15:00:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: php-calendar -- PHP PEAR package for building Calendar data structures' from 'RFP: php-calendar -- PHP PEAR package for building Calendar data structures' Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 16:27:14 GMT) Full text and rfc822 format available.

Owner recorded as Prach Pongpanich <prachpub@gmail.com>. Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 16:27:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 605271: 704131 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 16:27:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Prach Pongpanich <prachpub@gmail.com>:
You have taken responsibility. (Wed, 17 Apr 2013 09:03:15 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:03:15 GMT) Full text and rfc822 format available.

Message #37 received at 605271-close@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 605271-close@bugs.debian.org
Subject: Bug#605271: fixed in php-calendar 0.5.5-1
Date: Wed, 17 Apr 2013 09:00:35 +0000
Source: php-calendar
Source-Version: 0.5.5-1

We believe that the bug you reported is fixed in the latest version of
php-calendar, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605271@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Prach Pongpanich <prachpub@gmail.com> (supplier of updated php-calendar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Mar 2013 22:47:08 +0700
Source: php-calendar
Binary: php-calendar
Architecture: source all
Version: 0.5.5-1
Distribution: experimental
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: Prach Pongpanich <prachpub@gmail.com>
Description: 
 php-calendar - PHP PEAR package for building Calendar data structures
Closes: 605271
Changes: 
 php-calendar (0.5.5-1) experimental; urgency=low
 .
   * Initial release. (Closes: #605271)
Checksums-Sha1: 
 3dd06c86c2c270de7203c2483789f515bc049532 1347 php-calendar_0.5.5-1.dsc
 d31da4be2aba4535de09033a6b345f918b92104a 55314 php-calendar_0.5.5.orig.tar.gz
 893d9a759b3b1d669735882a59118afe322f2794 2375 php-calendar_0.5.5-1.debian.tar.gz
 e3ac2ebebf25176338e7cb427ea43b6cd4e916ee 71936 php-calendar_0.5.5-1_all.deb
Checksums-Sha256: 
 c7df7f0cc87ceb5192db3c5d696b25a6357050e64fa2531aa9005a9e05abea44 1347 php-calendar_0.5.5-1.dsc
 49aabe829ad7ed5c8ee8e7d69783323b76a4c10912d5773cc541173310078f48 55314 php-calendar_0.5.5.orig.tar.gz
 5f6a458795291eacd7f5929ff0b213fd247d38e9ad777e903823e38d3850d656 2375 php-calendar_0.5.5-1.debian.tar.gz
 9fb47604784e7a113b2bc7c0203169aed74068c7ccd257e9b7fd6ca3aa7b0213 71936 php-calendar_0.5.5-1_all.deb
Files: 
 438ddf2db51c27573ba309dee25eafa5 1347 php optional php-calendar_0.5.5-1.dsc
 c7e2869590d07258cf519faa2a64c811 55314 php optional php-calendar_0.5.5.orig.tar.gz
 d8c4a67b04b7f4a611424a6181403aed 2375 php optional php-calendar_0.5.5-1.debian.tar.gz
 61e4f353ede814c60fc15c93179a53fd 71936 php optional php-calendar_0.5.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFUdn4ACgkQl4M9yZjvmkm4kwCgu6NUghOQ7JebNLg5ynRvVX9j
1SgAnjrC3VM2Y4jswe547lPLJ480oUKd
=tibD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:30:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:14:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.